/** status.js - javascript for the berzerk status page
 * 
 */

var maxReturnedLines = 20;

setInterval(function() {
	onloadStatus();
}, 1000*60);


function onloadStatus() {
	var d = $("#output");
	if ($("#inpMLines").length) {
		if ($("#inpMLines").val() == 0 || $("#inpMLines").val() === undefined)
			$("#inpMLines").val(maxReturnedLines);
		maxReturnedLines = $("#inpMLines").val();
		if (maxReturnedLines < 1) {
			maxReturnedLines = 4;
			$("#inpMLines").val(4);
		}
	}
	$.get("/localstats?" + maxReturnedLines, function(response) {
		var v = $.xml2json(response);
		var h = "<table class=\"mline\">\n";
		if (v === undefined || v.length == 0) {
			d.html('N/A');
			return;
		}
		h += '<tr class="tbacks"><td>Lines Read:</td><td>' + v.overview.linesRead + "</td>";
		h += '<td rowspan="2" valign="top"><span class="inpMLines"># of lines:<input type="number" id="inpMLines" size="4" value="' + maxReturnedLines + '"/></span></td></tr>' + "\n";
		h += '<tr class="tbacks"><td>IPs Killed:</td><td>' + v.overview.ipsKilled + "</td><td>&nbsp;</td></tr>\n";
		if (v.statline !== undefined) {
			var sl = v.statline; 
			for (i=0; i<sl.length; i++) {
				var l = sl[i].deathLine;
				var x = l.replace(/\+/g, " ");
				
				h += "<tr class=\"tback" + ((i&1 == 1) ? "1" : "0") + "\">";
				h += '<td>' + sl[i].rule + '</td>';
				h += '<td colspan="2"><div class=mline>' + decodeURIComponent(x) + "</div></td>\n";
			}
		}
		h += "</table>\n";
		d.html(h);
		$("input[type='number']").change(function() {
			onloadStatus();
		});
	})
	.fail(function() {
		d.html('<div class="errorClass">status command failed</div>');
	});
	$("input[type='number']").change(function() {
		onloadStatus();
	});

}
